> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# QueryMarketplaceChannel

> Lists all marketplace channels. Deprecated: use "GET /v2/sales-channels/scx/channels" or "QueryScxChannel" instead, which require the "saleschannels.read" scope.



**query** `QueryMarketplaceChannel(first: Int, after: String, last: Int, before: String, where: MarketplaceChannelListItemFilterInput, order: [MarketplaceChannelListItemSortInput!]): QueryMarketplaceChannelConnection`

> Deprecated: This endpoint is deprecated.

## Arguments

**`first`**: `Int`

Returns the first _n_ elements from the list.

---

**`after`**: `String`

Returns the elements in the list that come after the specified cursor.

---

**`last`**: `Int`

Returns the last _n_ elements from the list.

---

**`before`**: `String`

Returns the elements in the list that come before the specified cursor.

---

**`where`**: `MarketplaceChannelListItemFilterInput`

---

**`order`**: `[MarketplaceChannelListItemSortInput!]`

## Returns

`QueryMarketplaceChannelConnection`

**`pageInfo`**: `PageInfo!`

Information to aid in pagination.

---

**`edges`**: `[QueryMarketplaceChannelEdge!]`

A list of edges.

---

**`nodes`**: `[MarketplaceChannelListItem!]`

A flattened list of the nodes.

---

**`totalCount`**: `Int!`

Identifies the total count of items in the connection.

## Examples

```graphql Query
query QueryMarketplaceChannel {
  QueryMarketplaceChannel {
    pageInfo {
      hasNextPage
      hasPreviousPage
      startCursor
      endCursor
    }
    edges {
      cursor
      node {
        id
        channel
        displayName
        currency
        isVariationsSupported
        isRemainingQuantitySupported
      }
    }
    nodes {
      id
      channel
      displayName
      currency
      isVariationsSupported
      isRemainingQuantitySupported
    }
    totalCount
  }
}
```

```json Response
{
  "data": {
    "QueryMarketplaceChannel": {
      "pageInfo": {
        "hasNextPage": true,
        "hasPreviousPage": true,
        "startCursor": "string",
        "endCursor": "string"
      },
      "edges": [
        {
          "cursor": "string",
          "node": {
            "id": "id",
            "channel": "string",
            "displayName": "string",
            "currency": "string",
            "isVariationsSupported": true,
            "isRemainingQuantitySupported": true
          }
        }
      ],
      "nodes": [
        {
          "id": "id",
          "channel": "string",
          "displayName": "string",
          "currency": "string",
          "isVariationsSupported": true,
          "isRemainingQuantitySupported": true
        }
      ],
      "totalCount": 1
    }
  }
}
```
